<template>
  <v-row>
    <ClientOnly fallback-tag="span" fallback="Loading comments...">
      <LogoutComponent />
      <v-col cols="12" sm="12" md="12">
        <KuSobieLogo class="logo" />

        
        <AccountConfiguration v-if="$store.state.user.state === 'non-configured'" class="profile-content" />
        <AccountContent v-if="$store.state.user.state !== 'non-configured'" class="profile-content" />
        <v-spacer />
      </v-col>
    </ClientOnly>
  </v-row>
</template>
<script>


import AccountContent from '~/components/AccountContent.vue';
import logged from '../../mixins/logged'

export default {
  name: 'IndexPage',
  components: { AccountContent },
  mixins: [logged],
  
  mounted() {
    
    window.addEventListener('beforeunload',(e)=>{
      localStorage.setItem('user', JSON.stringify(this.$store.state.user));
    });
    
    window.addEventListener('load',(e)=>{ 

      if(localStorage.getItem('user')) {
        this.$store.dispatch('setUser', JSON.parse(localStorage.getItem('user')));
        this.$store.dispatch('setSocket', this.$config.webSocketUrl);
        this.$store.dispatch('setBus', this.$bus);
        //this.$bus.$emit('get-friends');
        this.$router.push('/profile',{query: {menu: 'Szukaj miłości'}})
      }
    });
   
    
    if(this.$store.state.user.state === 'non-configured') {
      this.$bus.$emit('hide-avatar')
    } else {
      this.$bus.$emit('show-avatar')
    }
  }
}
</script>
<style scoped lang="scss">
.profile-content {
  position: relative;
  top: 36px;
  left: 78px;
  width: 85%;
  min-height: 392px;
}

.logo {
  position: absolute;
  right: 20px;
  top: 20px;
  
}

@media only screen and (mix-width: 750px) {
  .logo {
    top: -69px;
    left: 90vw
  }

}

</style>